Subject: Re: git submodule should honor "-c credential.helper" command line argument

From: Marc Strapetz <[email-masked]>
Date: Wed, 3 Feb 2016 09:08:09 +0100

On 03.02.2016 08:35, Jacob Keller wrote:
> On Tue, Feb 2, 2016 at 8:25 PM, Jeff King <[email-masked]> wrote:
>> I think the problem is that when git "switches" to working in the
>> submodule repository, it clears the environment, which includes any "-c"
>> command switches. This makes sense for some situations, but not for
>> others. This thread shows a similar problem:
>>
>>    http://thread.gmane.org/gmane.comp.version-control.git/264840
>>
>> Jens suggested there adding an option to tell clone to pass specific
>> variables to the submodule, which I think makes sense. AFAIK, nobody has
>> done any work yet on that approach.
>>
>
> This is something that I am also interested in, haven't had a chance
> to look at it just yet though. I may have some time soon to take a
> stab at this.

To have this issue addressed would be great. It's currently preventing 
me to switch our authentication-related code to credential helpers.

Jake, I'm happy to help, if I can (I don't have any experience with Git 
code though, except of browsing it a couple of times ... so patches from 
my side would need a lot of review I guess :). Just let me know.

-Marc